Uploaded image for project: 'Qbs ("Cubes")'
  1. Qbs ("Cubes")
  2. QBS-1492

Cannot link Qt 5.13.1-application, corrupt command line containing '-lQt5Core;-lpthread;'

    XMLWordPrintable

    Details

    • Platform/s:
      Linux/X11
    • Commits:
      8c290c624d343406442b87121ccb2e4eab0e6e51 (qbs/qbs/1.14)

      Description

      To reproduce: create a hello world qt quick application via the wizard in the new Qt Creator 4.10.0, using Qt 5.13.1 and qbs as build system.

       

      When building, it produces this:

      rcc qml.qrc [helloworldqbs]
      compiling qrc_qml.cpp [helloworldqbs]
      compiling main.cpp [helloworldqbs]
      linking helloworldqbs [helloworldqbs]
      /home/XXX/bin/g++ -Wl,-m,elf_x86_64,-rpath,/srv/build-deps/Qt/5.13.1/gcc_64/lib -L/srv/build-deps/Qt/5.13.1/gcc_64/lib -L/home/qt/openssl-1.1.1b/lib '-L/home/qt/openssl-1.1.1b/lib;-lpthread;' -m64 -o /home/olathorsen/src/build-helloworldqbs-Desktop_Qt_5_13_1_GCC_64bit-Debug/Debug/helloworldqbs.bd843a85/helloworldqbs /home/olathorsen/src/build-helloworldqbs-Desktop_Qt_5_13_1_GCC_64bit-Debug/Debug/helloworldqbs.bd843a85/3a52ce780950d4d9/main.cpp.o /home/olathorsen/src/build-helloworldqbs-Desktop_Qt_5_13_1_GCC_64bit-Debug/Debug/helloworldqbs.bd843a85/3a52ce780950d4d9/qrc_qml.cpp.o /srv/build-deps/Qt/5.13.1/gcc_64/lib/libQt5Quick.so.5.13.1 /srv/build-deps/Qt/5.13.1/gcc_64/lib/libQt5Qml.so.5.13.1 /srv/build-deps/Qt/5.13.1/gcc_64/lib/libQt5Network.so.5.13.1 /srv/build-deps/Qt/5.13.1/gcc_64/lib/libQt5Gui.so.5.13.1 /srv/build-deps/Qt/5.13.1/gcc_64/lib/libQt5Core.so.5.13.1 -lpthread /srv/build-deps/Qt/5.13.1/gcc_64/lib/libQt5Core.so '-lQt5Core;-lpthread;' /srv/build-deps/Qt/5.13.1/gcc_64/lib/libQt5Core.so '-lQt5Core;-lpthread;' /srv/build-deps/Qt/5.13.1/gcc_64/lib/libQt5Network.so /srv/build-deps/Qt/5.13.1/gcc_64/lib/libQt5Qml.so /srv/build-deps/Qt/5.13.1/gcc_64/lib/libQt5Gui.so
      /usr/bin/ld: cannot find -lQt5Core;-lpthread;
      /usr/bin/ld: cannot find -lQt5Core;-lpthread;
      collect2: error: ld returned 1 exit status

      QtCreator was upgraded using the online installer. The kit used is the autodetected one for Qt 5.13.1.

       

       

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              kandeler Christian Kandeler
              Reporter:
              olathorsen Ola Røer Thorsen
              Votes:
              0 Vote for this issue
              Watchers:
              10 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes